<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: MenuController.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Default
 * @copyright  Copyright (c) 2012 VEC
 */

class MenuController extends Zend_Controller_Action
{
    
    public function browseAction ()
    {
        $request = $this->getRequest();
        $id = intval($request->getUserParam('id'));
        
        $menuTable = new Giscuit_Db_Table_Menu();
        $rows = array_values($menuTable->getItems(array(
            'whereId' => $id , 
            'whereActive' => 't' ,
            'withTitle' => true , 
            'withText' => true , 
            'withTags' => true
        )));

        if(! count($rows)) {
            throw new Giscuit_Exception('Invalid article id (' . $id . ')');
        }        
        
        $row = $rows[0];
        $this->view->row = $row;
        
    }
}