<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: WfsController.php 2844 2012-07-09 08:54:35Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Default
 * @copyright  Copyright (c) 2012 VEC
 */

class WfsController extends Giscuit_Controller_Ows
{
    protected function _parseLayerOptions(array $options)
    {
        $this->_map->dumpAllAttributes = true;
        //
        $action = Zend_Controller_Front::getInstance()->getRequest()->getActionName();
        if($action == 'public') {
            $options['whereWfsPublic'] = 't';
        }
        if($action == 'private') {
            $options['whereWfsPrivate'] = 't';
        }
        
        return $options;
    }
    
    protected function _parseRequest($request)
    {
        $request->setParameter('SERVICE', 'WFS');
    }
}

