<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id$
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Mobile
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see NewsController
 */
require_once GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 'controllers' . DIR_SEP . 'NewsController.php';

class Mobile_NewsController extends NewsController
{
    
    protected $_recordsPerPage = 10;
    
    public function getCommentForm($newsId)
    {
        $form = new Giscuit_Form_Comm();
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
            'module' => 'mobile' ,
            'controller' => 'news' ,
            'action' => 'submitcomment' ,
                'newsId' => $newsId
        ), null, true);
        $form->setAction($action);
        
        return $form;
    }

}

