<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: StaticPath.php 1299 2011-05-11 13:00:12Z ue $
 * @category   Giscuit
 * @package    Giscuit_View_Helper
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * Generate a http path for a static file
 * 
 * @category   Giscuit
 * @package    Giscuit_View_Helper
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_View_Helper_JqmRedirect
{

    /**
     * Generate a http path for static a file
     * 
     * @param string $file Url relative to the base
     * @param string $base Base type
     * @return string
     */
    public function jqmRedirect ($url)
    {
        $staticPathHelper = new Giscuit_View_Helper_StaticPath();
        $imgUrl = $staticPathHelper->staticPath('/ajax-loader.gif', 'img');                
        
        $html = <<<EOT
<img src="{$imgUrl}" />
<script type="text/javascript">
$.mobile.changePage({$url});
</script>
EOT;

        return $html;
    }

}